export const deviceStatusEnums: Record<string, any> = {
  allStatus: {
    miniName: '全部',
    value: '0',
    color: '',
  },
  onlineStatus: {
    miniName: '在线',
    value: '1',
    color: 'success',
  },
  outlineStatus: {
    miniName: '离线',
    value: '2',
    color: 'default',
  },
  processingStatus: {
    miniName: '运行中',
    value: '3',
    color: 'warning',
  },
  errorStatus: {
    miniName: '故障',
    value: '4',
    color: 'error',
  },
};

export const resourceDeviceStatusEnums: Record<string, any> = {
  allStatus: {
    miniName: '全部异常',
    value: '0',
    color: '',
    renderType: '',
  },
  storageWarn: {
    miniName: '存储告警',
    value: '1',
    color: 'error',
    renderType: 'progress',
  },
  GPUWarn: {
    miniName: 'GPU告警',
    value: '2',
    color: 'success',
    renderType: 'progress',
  },
  memoryWarn: {
    miniName: '内存告警',
    value: '3',
    color: 'success',
    renderType: 'progress',
  },
  errorStatus: {
    miniName: 'CPU告警',
    value: '4',
    color: 'warning',
    renderType: 'progress',
  },
  codeError: {
    miniName: '代码出错',
    value: '5',
    color: 'error',
    renderType: 'dot',
  },
  serveTimeOut: {
    miniName: '服务器超时',
    value: '6',
    color: 'error',
    renderType: 'dot',
  },
};
